#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

require"date"

d1 = Date.today
d2 = Date.new(2022, 1,1)

puts("本日の日付:"+d1.to_s)
puts("三日後の日付:"+(d1+3).to_s)
puts("5日後の日付:"+(d1+5).to_s)
puts("二ヶ月後の日付:"+(d1>>2).to_s)
puts("６ヶ月後の日付:"+(d1>>6).to_s)
puts("本日と2022年1月1日までの差は:"+(d1-d2).to_s+"日")
